# Uses of Enum Class
org.bukkit.event.entity.EntityPotionEffectEvent.Cause

Packages that use EntityPotionEffectEvent.Cause
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of EntityPotionEffectEvent.Cause in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EntityPotionEffectEvent.Cause
Modifier and Type
Method
Description
`@NotNull EntityPotionEffectEvent.Cause`
EntityPotionEffectEvent.`getCause()`
Gets the cause why the effect has changed.
`static EntityPotionEffectEvent.Cause`
EntityPotionEffectEvent.Cause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityPotionEffectEvent.Cause[]`
EntityPotionEffectEvent.Cause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.entity with parameters of type EntityPotionEffectEvent.Cause
Modifier
Constructor
Description
``
`EntityPotionEffectEvent(@NotNull LivingEntity livingEntity, @Nullable PotionEffect oldEffect, @Nullable PotionEffect newEffect, @NotNull EntityPotionEffectEvent.Cause cause, @NotNull EntityPotionEffectEvent.Action action, boolean override)`